#ifndef LIBRARIES_WIREDBAS_COMMON_LINK_H_
#define LIBRARIES_WIREDBAS_COMMON_LINK_H_

#include "Node.h"
#include "InstantiableLink.h"
#include "../../../quantities/WiringPath.h"

namespace cosi {

namespace library {

namespace wiredbas {

class Link : public cosi::library::wiredbas::InstantiableLink {
public:
	Link();
	virtual ~Link();
	virtual double GetCost(WiringPath P) = 0 ;
};

}

}

}

#endif /*LINK_H_*/
